Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.datamodel
Interface AlleleGroup

All Superinterfaces:
  Persistent, java.io.Serializable

public interface AlleleGroup
extends Persistent

Ensembl representation of a grouping of alleles (aka haplotype).

Author:
  Craig Melsopp

Method Summary
`void` | `addVariation(Variation variation, java.lang.String allele)` Adds an allele and associated variation to this allele group
`java.util.List` | `getAlleles()` Retrieves all alleles that are part of this allele group.
`double` | `getFrequency()` Frequency of the allele group.
`java.lang.String` | `getName()` Name of the allele group.
`Population` | `getPopulation()` Population associated with this allele group.
`java.lang.String` | `getSource()` Name of the source database this allele group comes from.
`VariationGroup` | `getVariationGroup()` VariationGroup associated with this allele group.
`long` | `getVariationGroupID(long variationGroupID)` Get the internalID of the VariationGroup associated with this allele group.
`java.util.List` | `getVariations()` Retrieves all variations that are associated with the alleles that comprise this allele group.

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getName

    public java.lang.String getName()

  Name of the allele group.

  Returns:
    name of the allele group.

### getVariationGroup

    public VariationGroup getVariationGroup()

  VariationGroup associated with this allele group.

### getVariationGroupID

    public long getVariationGroupID(long variationGroupID)

  Get the internalID of the VariationGroup associated with this allele group.

  See Also:
    `getVariationGroup()`

### getPopulation

    public Population getPopulation()

  Population associated with this allele group.

  Returns:
    population or null if there is no population associated with this allele group

### getSource

    public java.lang.String getSource()

  Name of the source database this allele group comes from.

  Returns:
    Name of the source database this allele group comes from.

### getFrequency

    public double getFrequency()

  Frequency of the allele group.

  Returns:
    frequency of the allele group.

### addVariation

    public void addVariation(Variation variation,
                             java.lang.String allele)

  Adds an allele and associated variation to this allele group

### getVariations

    public java.util.List getVariations()

  Retrieves all variations that are associated with the alleles that comprise this allele group. The ordering of the Variations returned by this method are consistant with the ordering of the alleles returned by the get_all_alleles method. The third allele corresponds to the third variation, etc. List getVariations();

  Returns:
    variations associated with this group.

### getAlleles

    public java.util.List getAlleles()

  Retrieves all alleles that are part of this allele group. The alleles are returned as simple strings. The ordering of the alleles returned by this method are consistant with the ordering of the variations returned by the get_all_Variations method. The third allele corresponds to the third variation, etc.

  Returns:
    alleles associated with this group.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD